From: =?utf-8?q?David_Pr=C3=A9vot?= <david@tilapin.org>
Date: Fri, 25 Dec 2020 17:32:53 -0400
Subject: Also skip system classes during tests

---
 tests/ProxyManagerTest/Functional/FatalPreventionFunctionalTest.php | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/tests/ProxyManagerTest/Functional/FatalPreventionFunctionalTest.php b/tests/ProxyManagerTest/Functional/FatalPreventionFunctionalTest.php
index 8e4f48d..eebd45a 100644
--- a/tests/ProxyManagerTest/Functional/FatalPreventionFunctionalTest.php
+++ b/tests/ProxyManagerTest/Functional/FatalPreventionFunctionalTest.php
@@ -109,6 +109,8 @@ final class FatalPreventionFunctionalTest extends TestCase
             realpath(__DIR__ . '/../../../src'),
             realpath(__DIR__ . '/../../../vendor'),
             realpath(__DIR__ . '/../../ProxyManagerTest'),
+            realpath(__DIR__ . '/../../../ProxyManager'),
+            realpath('/usr/share/php'),
         ];
 
         return array_filter(
@@ -135,6 +137,7 @@ final class FatalPreventionFunctionalTest extends TestCase
 
                     if (strpos($realPath, $skippedPath) === 0) {
                         // skip classes defined within ProxyManager, vendor or the test suite
+                        // as well as the system ones (where dependencies are actually installed)
                         return false;
                     }
                 }
